Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.service
Interface AuthenticationCertificateRegistrationService

All Known Implementing Classes:
  AuthenticationCertificateRegistrationServiceImpl

    public interface AuthenticationCertificateRegistrationService

Interface describing the AuthenticationCertificate Registration service.

Method Summary
`Result<List<String>>` | `getApplicationIdList(Organization organization)`
`Result<List<Organization>>` | `getOrganizationList(Identity identity)`
`Result<List<X509Certificate>>` | `getRevokableCertificates(Identity identity)`
`Result<X509Certificate[]>` | `poll(String requestId)`
`String` | `renew(RenewCertificateContract contract)`
`String` | `request(NewCertificateContract contract)`
`Result<Void>` | `revoke(RevokeCertificateContract contract)`

Method Detail

### request

    String request(NewCertificateContract contract)
                   throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### renew

    String renew(RenewCertificateContract contract)
                 throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### revoke

    Result<Void> revoke(RevokeCertificateContract contract)
                        throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### poll

    Result<X509Certificate[]> poll(String requestId)
                                   throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getOrganizationList

    Result<List<Organization>> getOrganizationList(Identity identity)
                                                   throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getApplicationIdList

    Result<List<String>> getApplicationIdList(Organization organization)
                                              throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getRevokableCertificates

    Result<List<X509Certificate>> getRevokableCertificates(Identity identity)
                                                           throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.